VisualEditor: Delete contents of slugged paragraph results in double line break visible
Closed, ResolvedPublic

Description
  • Create a page starting with a list ('* list' is sufficient)
  • Enter some text into the slugged paragraph above the list, then delete it with backspaces
  • The paragraph now doubles in height, inspecting the DOM you see a <br> has appeared from nowhere: <p><br><span slug></span></p>

Also this paragraph gets sent to Parsoid resulting in an extra line break.

Removing the text by using undo doesn't result in this bug.


Version: unspecified
Severity: normal

bzimport set Reference to bz48385.
Esanders created this task.Via LegacyMay 12 2013, 6:50 PM
Inez added a comment.Via ConduitJun 12 2013, 9:34 PM

We are not placing slugs around lists anymore so this bug can't be reproduced, however I know what was root cause of it (native handling of deletion) and I'm working on it now.

Jdforrester-WMF added a comment.Via ConduitJun 18 2013, 2:03 AM

(In reply to comment #1)

We are not placing slugs around lists anymore so this bug can't be
reproduced, however I know what was root cause of it (native handling of
deletion) and I'm working on it now.

Is this bug still valid? I can't reproduce now, using a thumb image (rather than a list) to create the block item.

Jdforrester-WMF added a comment.Via ConduitJun 21 2013, 2:23 AM

Deeming that this is now fixed.

Inez added a comment.Via ConduitJun 27 2013, 9:51 PM

This is fixed with my refactor to handleDelete method.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.